PDA

View Full Version : how to detect ExtJs version ?



dedoz
11 Mar 2012, 12:58 AM
is there a way to get the current extjs version ? (using some Extjs method)
theres a bunch of method to get brownser version, os , etc, but didnt see any to get the Extjs version,

i have a override thats applies to extjs 4.1 beta 1 but not to 4.1 beta 3, and while testing stuff i check them in beta 1 , beta 2, beta 3 for this i just change the html link that includes the beta version so to avoid comenting and uncometing the html link that includes my override.js i just to want to put a condition before the override

something like


if (Ext.version == "4.1beta1" )
Ext.override('someClass', { someCrazyCode })

or, if theres no method, is there any way to get the extjs version ? doesnt matter if its a weird looking code.

for now i just set a global evil var


<link rel="stylesheet" type="text/css" href="../libs/ext-4.1.0-beta-3/resources/css/ext-all.css">
<script type="text/javascript" src="../libs/ext-4.1.0-beta-3/ext-all-dev.js"></script>
<script type="text/javascript" >
ExtJsVersion = '4.1beta3';
</script>
<script type="text/javascript" src="overrides.js"></script>

vietits
11 Mar 2012, 1:14 AM
Have a look at Ext.Version

mankz
11 Mar 2012, 9:53 AM
Ext.versions.extjs

dedoz
11 Mar 2012, 10:46 AM
thank you